Bug 1099050 - WAIT_FOR_BEFORE_START does not work for / context application in domain mode
Summary: WAIT_FOR_BEFORE_START does not work for / context application in domain mode
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: EAP 6.4.0
Assignee: Chao Wang
QA Contact: Radim Hatlapatka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-19 11:22 UTC by Martin Velas
Modified: 2015-07-13 04:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 07:15:26 UTC
Type: Bug


Attachments (Terms of Use)
webapp.war (2.36 KB, application/zip)
2015-03-19 07:13 UTC, Chao Wang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1050204 0 unspecified CLOSED WAIT_FOR_BEFORE_START does not work for / context applications 2021-02-22 00:41:40 UTC

Internal Links: 1050204

Description Martin Velas 2014-05-19 11:22:04 UTC
Description of problem:
WAIT_FOR_BEFORE_START does not work for / context applications for EAP in domain mode. If you set WAIT_FOR_BEFORE_START to / and deploy a / application, the connectors never start.

Version-Release number of selected component (if applicable):
6.3.0

How reproducible:
Always

Steps to Reproduce:
1. ./domain.sh -Dorg.apache.catalina.connector.WAIT_FOR_BEFORE_START=/
2. Deploy a / context (or use default Welcome root context)
3. Check and see that the connectors never started as expected after / was deployed

Actual results:
Connector doesn't start, request for localhost:8080 fails.

Expected results:
Connectors start properly with WAIT_FOR_BEFORE_START=/ when / context app is deployed


Additional info:
this BZ is related to the BZ-1050204 which deals with EAP in standalone mode.

Comment 1 Martin Velas 2014-07-29 12:01:20 UTC
Issue is still valid for the EAP 6.3.0.ER10.

Comment 4 Chao Wang 2015-03-19 07:13:26 UTC
Created attachment 1003708 [details]
webapp.war

On the basis of my test, I can not reproduce this issue in latest EAP 6.4.0.CR1. I think this has been fixed along with bz1050204 in previous release.

verification steps: 

1. start server in domain mode and disable welcome app: 
/profile=full/subsystem=web/virtual-server=default-host:write-attribute(name=enable-welcome-root,value=false)

2. restart server in domain with option -Dorg.apache.catalina.connector.WAIT_FOR_BEFORE_START=/ then, deploy simple webapp.war:
deploy local_path/webapp.war --server-groups=main-server-group

3. open http://localhost:8080/ As a result, I can see the expected message.

Comment 5 Radim Hatlapatka 2015-03-20 08:36:59 UTC
I have also checked it.
I am able to reproduce it with EAP 6.3.0, but no longer with EAP 6.4.0.CR1 => was fixed somewhere along the way.


Note You need to log in before you can comment on or make changes to this bug.